<?php

namespace App\Enums;

enum PatrollingStatus: string
{
    case CHECKED = "checked";
    case ISSUE_FOUND = "issue_found";
    case MAINTENANCE_REQUIRED = "maintenance_required";
    case NOT_ACCESSIBLE = "not_accessible";


    /**
     * Get all patrolling status values
     */
    public static function values(): array {
        return array_column(self::cases(), 'value');
    }
}